[PATCH] osmo-ci[master]: osmocom-latest-packages: fix shellcheck warnings

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

lynxis lazus gerrit-no-reply at lists.osmocom.org
Tue Nov 21 13:43:33 UTC 2017


Review at  https://gerrit.osmocom.org/4953

osmocom-latest-packages: fix shellcheck warnings

Change-Id: I1733658ce9b3de595b6087a58da0cb8c8bcf928f
---
M scripts/osmocom-latest-packages.sh
1 file changed, 13 insertions(+), 13 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/53/4953/1

diff --git a/scripts/osmocom-latest-packages.sh b/scripts/osmocom-latest-packages.sh
index 9deae23..23ee3dd 100755
--- a/scripts/osmocom-latest-packages.sh
+++ b/scripts/osmocom-latest-packages.sh
@@ -5,7 +5,7 @@
 # OBS project name
 PROJ=network:osmocom:latest
 
-DT=`date +%Y%m%d`
+DT=$(date +%Y%m%d)
 TOP=$(pwd)
 
 # start with a checkout of the project
@@ -18,20 +18,20 @@
 build() {
   echo
   echo "====> Building $1"
-  cd $TOP
+  cd "$TOP"
   rm -rf data
-  [ -d $1 ] || git clone git://git.osmocom.org/$1
-  cd $1
+  [ -d "$1" ] || git clone "git://git.osmocom.org/$1"
+  cd "$1"
   git fetch
-  VER=`git describe --abbrev=0 --tags --match "*.*.*" origin/master`
-  git checkout -f -B $VER refs/tags/$VER
-  gbp buildpackage -d -S -uc -us --git-export-dir=$TOP/data --git-debian-branch=$VER
-  cd $TOP/$PROJ/$1
-  osc rm * || true
+  VER=$(git describe --abbrev=0 --tags --match "*.*.*" origin/master)
+  git checkout -f -B "$VER" "refs/tags/$VER"
+  gbp buildpackage -d -S -uc -us "--git-export-dir=$TOP/data" "--git-debian-branch=$VER"
+  cd "$TOP/$PROJ/$1"
+  osc rm ./* || true
   mv $TOP/data/*.dsc .
   mv $TOP/data/*.tar* .
-  osc add *
-  cd $TOP
+  osc add ./*
+  cd "$TOP"
 }
 
 PACKAGES="
@@ -57,8 +57,8 @@
 	"
 
 for p in $PACKAGES; do
-	build $p
+	build "$p"
 done
 
-cd $TOP/$PROJ
+cd "$TOP/$PROJ"
 osc ci -m "Latest Tagged versions of $DT"

-- 
To view, visit https://gerrit.osmocom.org/4953
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I1733658ce9b3de595b6087a58da0cb8c8bcf928f
Gerrit-PatchSet: 1
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: lynxis lazus <lynxis at fe80.eu>



More information about the gerrit-log mailing list